Subject: [Sipping] Requirements rather than solutions: security

From: Jari Arkko <[email-masked]>
Date: Tue, 21 Aug 2001 17:02:10 +0300

Hi. In the SIPPING meeting in London it was
expressed that the IETF would rather see
requirements than solutions from other
organizations such as the 3GPP.

I'd like to start the requirements discussion
by a few security-related requirements that I
think are central to how we could proceed in
the authentication work.

As a background, both current and future
mobile networks have an existing authentication
procedure which is based on smart-card like
devices called SIMs. As these devices and
algorithms are already used even to get network
access, the operators have built an
infrastructure to hand out and manage
hundreds of millions of these cards. A primary
function of the cards is to offer secure storage
for the long-term keys (to avoid cloning etc).

So, I'd like to propose the following requirements
related to SIP authentication in this context:

- Authentication MUST allow for global roaming.
- It MUST be possible to provide secure storage
    of long-term keys used in SIP clients.
- Authentication MUST be efficient in terms
    of CPU, bandwidth, and roundtrip usage.
    There isn't an infinite amount of CPU on
    these devices, and it is also very much
    necessary to avoid too many roundtrips to
    get registration/call setup times acceptable.
    In particular, public key cryptography may
    not be mandated for all nodes.
- It MUST be possible to reuse 'legacy
    authentication'. In other words, existing
    authentication infrastructure and devices
    used in current networks shouldn't have to
    be rebuilt just to add IP multimedia service.
    Naturally not just the 3GPP but also other
    schemes could be allowed.

There are of course other requirements as well,
but this particular set of requirements is interesting
in the sense that I don't see how the current
protocols allow the above. In particular, external
security protocols such as TLS and IKE are not
likely to fullfill the third nor the fourth
requirement, and current HTTP authentication
schemes don't fulfill at least the fourth.

Any comments on the requirements?

Any proposals on how to fulfill the requirements?
(We have one but would be very interested in hearing
also other proposals!)

Also, I'd like to note that [1] exists, and
gives a fuller picture. I believe the above
requirements are also a part of the draft.
Dirk, how up-to-date is this draft and does
it contain all 3GPP requirements?

Jari Arkko
Ericsson

[1] draft-kroeselberg-sip-3g-security-req-00.txt

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP